Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.pkcs
Interface PKCSObjectIdentifiers

All Known Implementing Classes:
  ContentInfo, PBES2Parameters, PKCS7SignedData, SignedData, PBES2Algorithms, Pfx, TBSCertificateStructure, X509CertificateStructure, PKCS5Test, JDKPKCS12KeyStore, JDKGOST3410Signer, JDKDSASigner, JDKDigestSignature

public interface PKCSObjectIdentifiers

Field Summary
`static java.lang.String` | `bagtypes`
`static DERObjectIdentifier` | `canNotDecryptAny`
`static DERObjectIdentifier` | `certBag`
`static DERObjectIdentifier` | `crlBag`
`static DERObjectIdentifier` | `data`
`static DERObjectIdentifier` | `des_EDE3_CBC`
`static DERObjectIdentifier` | `dhKeyAgreement`
`static java.lang.String` | `digestAlgorithm`
`static DERObjectIdentifier` | `digestedData`
`static DERObjectIdentifier` | `encryptedData`
`static java.lang.String` | `encryptionAlgorithm`
`static DERObjectIdentifier` | `envelopedData`
`static java.lang.String` | `id_aa`
`static DERObjectIdentifier` | `id_aa_commitmentType`
`static DERObjectIdentifier` | `id_aa_contentIdentifier`
`static DERObjectIdentifier` | `id_aa_encrypKeyPref`
`static DERObjectIdentifier` | `id_aa_otherSigCert`
`static DERObjectIdentifier` | `id_aa_signatureTimeStampToken`
`static DERObjectIdentifier` | `id_aa_signerLocation`
`static DERObjectIdentifier` | `id_aa_signingCertificate`
`static DERObjectIdentifier` | `id_aa_sigPolicyId`
`static DERObjectIdentifier` | `id_alg_PWRI_KEK`
`static java.lang.String` | `id_ct`
`static DERObjectIdentifier` | `id_ct_compressedData`
`static DERObjectIdentifier` | `id_ct_TSTInfo`
`static java.lang.String` | `id_cti`
`static DERObjectIdentifier` | `id_cti_ets_proofOfApproval`
`static DERObjectIdentifier` | `id_cti_ets_proofOfCreation`
`static DERObjectIdentifier` | `id_cti_ets_proofOfDelivery`
`static DERObjectIdentifier` | `id_cti_ets_proofOfOrigin`
`static DERObjectIdentifier` | `id_cti_ets_proofOfReceipt`
`static DERObjectIdentifier` | `id_cti_ets_proofOfSender`
`static DERObjectIdentifier` | `id_hmacWithSHA1`
`static DERObjectIdentifier` | `id_hmacWithSHA224`
`static DERObjectIdentifier` | `id_hmacWithSHA256`
`static DERObjectIdentifier` | `id_hmacWithSHA384`
`static DERObjectIdentifier` | `id_hmacWithSHA512`
`static DERObjectIdentifier` | `id_mgf1`
`static DERObjectIdentifier` | `id_PBES2`
`static DERObjectIdentifier` | `id_PBKDF2`
`static DERObjectIdentifier` | `id_pSpecified`
`static DERObjectIdentifier` | `id_RSAES_OAEP`
`static DERObjectIdentifier` | `id_RSASSA_PSS`
`static DERObjectIdentifier` | `keyBag`
`static DERObjectIdentifier` | `md2`
`static DERObjectIdentifier` | `md2WithRSAEncryption`
`static DERObjectIdentifier` | `md4`
`static DERObjectIdentifier` | `md4WithRSAEncryption`
`static DERObjectIdentifier` | `md5`
`static DERObjectIdentifier` | `md5WithRSAEncryption`
`static DERObjectIdentifier` | `pbeWithMD2AndDES_CBC`
`static DERObjectIdentifier` | `pbeWithMD2AndRC2_CBC`
`static DERObjectIdentifier` | `pbeWithMD5AndDES_CBC`
`static DERObjectIdentifier` | `pbeWithMD5AndRC2_CBC`
`static DERObjectIdentifier` | `pbeWithSHA1AndDES_CBC`
`static DERObjectIdentifier` | `pbeWithSHA1AndRC2_CBC`
`static DERObjectIdentifier` | `pbeWithSHAAnd128BitRC2_CBC`
`static DERObjectIdentifier` | `pbeWithSHAAnd128BitRC4`
`static DERObjectIdentifier` | `pbeWithSHAAnd2_KeyTripleDES_CBC`
`static DERObjectIdentifier` | `pbeWithSHAAnd3_KeyTripleDES_CBC`
`static DERObjectIdentifier` | `pbewithSHAAnd40BitRC2_CBC`
`static DERObjectIdentifier` | `pbeWithSHAAnd40BitRC4`
`static java.lang.String` | `pkcs_1`
`static java.lang.String` | `pkcs_12`
`static java.lang.String` | `pkcs_12PbeIds`
`static java.lang.String` | `pkcs_3`
`static java.lang.String` | `pkcs_5`
`static java.lang.String` | `pkcs_7`
`static java.lang.String` | `pkcs_9`
`static DERObjectIdentifier` | `pkcs_9_at_challengePassword`
`static DERObjectIdentifier` | `pkcs_9_at_contentType`
`static DERObjectIdentifier` | `pkcs_9_at_counterSignature`
`static DERObjectIdentifier` | `pkcs_9_at_emailAddress`
`static DERObjectIdentifier` | `pkcs_9_at_extendedCertificateAttributes`
`static DERObjectIdentifier` | `pkcs_9_at_extensionRequest`
`static DERObjectIdentifier` | `pkcs_9_at_friendlyName`
`static DERObjectIdentifier` | `pkcs_9_at_localKeyId`
`static DERObjectIdentifier` | `pkcs_9_at_messageDigest`
`static DERObjectIdentifier` | `pkcs_9_at_signingDescription`
`static DERObjectIdentifier` | `pkcs_9_at_signingTime`
`static DERObjectIdentifier` | `pkcs_9_at_smimeCapabilities`
`static DERObjectIdentifier` | `pkcs_9_at_unstructuredAddress`
`static DERObjectIdentifier` | `pkcs_9_at_unstructuredName`
`static DERObjectIdentifier` | `pkcs8ShroudedKeyBag`
`static DERObjectIdentifier` | `preferSignedData`
`static DERObjectIdentifier` | `RC2_CBC`
`static DERObjectIdentifier` | `rsaEncryption`
`static DERObjectIdentifier` | `safeContentsBag`
`static DERObjectIdentifier` | `secretBag`
`static DERObjectIdentifier` | `sha1WithRSAEncryption`
`static DERObjectIdentifier` | `sha224WithRSAEncryption`
`static DERObjectIdentifier` | `sha256WithRSAEncryption`
`static DERObjectIdentifier` | `sha384WithRSAEncryption`
`static DERObjectIdentifier` | `sha512WithRSAEncryption`
`static DERObjectIdentifier` | `signedAndEnvelopedData`
`static DERObjectIdentifier` | `signedData`
`static DERObjectIdentifier` | `sMIMECapabilitiesVersions`
`static DERObjectIdentifier` | `srsaOAEPEncryptionSET`
`static DERObjectIdentifier` | `x509certType`

Field Detail

### pkcs_1

    public static final java.lang.String pkcs_1

### rsaEncryption

    public static final DERObjectIdentifier rsaEncryption

### md2WithRSAEncryption

    public static final DERObjectIdentifier md2WithRSAEncryption

### md4WithRSAEncryption

    public static final DERObjectIdentifier md4WithRSAEncryption

### md5WithRSAEncryption

    public static final DERObjectIdentifier md5WithRSAEncryption

### sha1WithRSAEncryption

    public static final DERObjectIdentifier sha1WithRSAEncryption

### srsaOAEPEncryptionSET

    public static final DERObjectIdentifier srsaOAEPEncryptionSET

### id_RSAES_OAEP

    public static final DERObjectIdentifier id_RSAES_OAEP

### id_mgf1

    public static final DERObjectIdentifier id_mgf1

### id_pSpecified

    public static final DERObjectIdentifier id_pSpecified

### id_RSASSA_PSS

    public static final DERObjectIdentifier id_RSASSA_PSS

### sha256WithRSAEncryption

    public static final DERObjectIdentifier sha256WithRSAEncryption

### sha384WithRSAEncryption

    public static final DERObjectIdentifier sha384WithRSAEncryption

### sha512WithRSAEncryption

    public static final DERObjectIdentifier sha512WithRSAEncryption

### sha224WithRSAEncryption

    public static final DERObjectIdentifier sha224WithRSAEncryption

### pkcs_3

    public static final java.lang.String pkcs_3

### dhKeyAgreement

    public static final DERObjectIdentifier dhKeyAgreement

### pkcs_5

    public static final java.lang.String pkcs_5

### pbeWithMD2AndDES_CBC

    public static final DERObjectIdentifier pbeWithMD2AndDES_CBC

### pbeWithMD2AndRC2_CBC

    public static final DERObjectIdentifier pbeWithMD2AndRC2_CBC

### pbeWithMD5AndDES_CBC

    public static final DERObjectIdentifier pbeWithMD5AndDES_CBC

### pbeWithMD5AndRC2_CBC

    public static final DERObjectIdentifier pbeWithMD5AndRC2_CBC

### pbeWithSHA1AndDES_CBC

    public static final DERObjectIdentifier pbeWithSHA1AndDES_CBC

### pbeWithSHA1AndRC2_CBC

    public static final DERObjectIdentifier pbeWithSHA1AndRC2_CBC

### id_PBES2

    public static final DERObjectIdentifier id_PBES2

### id_PBKDF2

    public static final DERObjectIdentifier id_PBKDF2

### encryptionAlgorithm

    public static final java.lang.String encryptionAlgorithm

### des_EDE3_CBC

    public static final DERObjectIdentifier des_EDE3_CBC

### RC2_CBC

    public static final DERObjectIdentifier RC2_CBC

### digestAlgorithm

    public static final java.lang.String digestAlgorithm

### md2

    public static final DERObjectIdentifier md2

### md4

    public static final DERObjectIdentifier md4

### md5

    public static final DERObjectIdentifier md5

### id_hmacWithSHA1

    public static final DERObjectIdentifier id_hmacWithSHA1

### id_hmacWithSHA224

    public static final DERObjectIdentifier id_hmacWithSHA224

### id_hmacWithSHA256

    public static final DERObjectIdentifier id_hmacWithSHA256

### id_hmacWithSHA384

    public static final DERObjectIdentifier id_hmacWithSHA384

### id_hmacWithSHA512

    public static final DERObjectIdentifier id_hmacWithSHA512

### pkcs_7

    public static final java.lang.String pkcs_7

### data

    public static final DERObjectIdentifier data

### signedData

    public static final DERObjectIdentifier signedData

### envelopedData

    public static final DERObjectIdentifier envelopedData

### signedAndEnvelopedData

    public static final DERObjectIdentifier signedAndEnvelopedData

### digestedData

    public static final DERObjectIdentifier digestedData

### encryptedData

    public static final DERObjectIdentifier encryptedData

### pkcs_9

    public static final java.lang.String pkcs_9

### pkcs_9_at_emailAddress

    public static final DERObjectIdentifier pkcs_9_at_emailAddress

### pkcs_9_at_unstructuredName

    public static final DERObjectIdentifier pkcs_9_at_unstructuredName

### pkcs_9_at_contentType

    public static final DERObjectIdentifier pkcs_9_at_contentType

### pkcs_9_at_messageDigest

    public static final DERObjectIdentifier pkcs_9_at_messageDigest

### pkcs_9_at_signingTime

    public static final DERObjectIdentifier pkcs_9_at_signingTime

### pkcs_9_at_counterSignature

    public static final DERObjectIdentifier pkcs_9_at_counterSignature

### pkcs_9_at_challengePassword

    public static final DERObjectIdentifier pkcs_9_at_challengePassword

### pkcs_9_at_unstructuredAddress

    public static final DERObjectIdentifier pkcs_9_at_unstructuredAddress

### pkcs_9_at_extendedCertificateAttributes

    public static final DERObjectIdentifier pkcs_9_at_extendedCertificateAttributes

### pkcs_9_at_signingDescription

    public static final DERObjectIdentifier pkcs_9_at_signingDescription

### pkcs_9_at_extensionRequest

    public static final DERObjectIdentifier pkcs_9_at_extensionRequest

### pkcs_9_at_smimeCapabilities

    public static final DERObjectIdentifier pkcs_9_at_smimeCapabilities

### pkcs_9_at_friendlyName

    public static final DERObjectIdentifier pkcs_9_at_friendlyName

### pkcs_9_at_localKeyId

    public static final DERObjectIdentifier pkcs_9_at_localKeyId

### x509certType

    public static final DERObjectIdentifier x509certType

### id_alg_PWRI_KEK

    public static final DERObjectIdentifier id_alg_PWRI_KEK

### preferSignedData

    public static final DERObjectIdentifier preferSignedData

### canNotDecryptAny

    public static final DERObjectIdentifier canNotDecryptAny

### sMIMECapabilitiesVersions

    public static final DERObjectIdentifier sMIMECapabilitiesVersions

### id_ct

    public static final java.lang.String id_ct

### id_ct_TSTInfo

    public static final DERObjectIdentifier id_ct_TSTInfo

### id_ct_compressedData

    public static final DERObjectIdentifier id_ct_compressedData

### id_cti

    public static final java.lang.String id_cti

### id_cti_ets_proofOfOrigin

    public static final DERObjectIdentifier id_cti_ets_proofOfOrigin

### id_cti_ets_proofOfReceipt

    public static final DERObjectIdentifier id_cti_ets_proofOfReceipt

### id_cti_ets_proofOfDelivery

    public static final DERObjectIdentifier id_cti_ets_proofOfDelivery

### id_cti_ets_proofOfSender

    public static final DERObjectIdentifier id_cti_ets_proofOfSender

### id_cti_ets_proofOfApproval

    public static final DERObjectIdentifier id_cti_ets_proofOfApproval

### id_cti_ets_proofOfCreation

    public static final DERObjectIdentifier id_cti_ets_proofOfCreation

### id_aa

    public static final java.lang.String id_aa

### id_aa_encrypKeyPref

    public static final DERObjectIdentifier id_aa_encrypKeyPref

### id_aa_signingCertificate

    public static final DERObjectIdentifier id_aa_signingCertificate

### id_aa_contentIdentifier

    public static final DERObjectIdentifier id_aa_contentIdentifier

### id_aa_signatureTimeStampToken

    public static final DERObjectIdentifier id_aa_signatureTimeStampToken

### id_aa_sigPolicyId

    public static final DERObjectIdentifier id_aa_sigPolicyId

### id_aa_commitmentType

    public static final DERObjectIdentifier id_aa_commitmentType

### id_aa_signerLocation

    public static final DERObjectIdentifier id_aa_signerLocation

### id_aa_otherSigCert

    public static final DERObjectIdentifier id_aa_otherSigCert

### pkcs_12

    public static final java.lang.String pkcs_12

### bagtypes

    public static final java.lang.String bagtypes

### keyBag

    public static final DERObjectIdentifier keyBag

### pkcs8ShroudedKeyBag

    public static final DERObjectIdentifier pkcs8ShroudedKeyBag

### certBag

    public static final DERObjectIdentifier certBag

### crlBag

    public static final DERObjectIdentifier crlBag

### secretBag

    public static final DERObjectIdentifier secretBag

### safeContentsBag

    public static final DERObjectIdentifier safeContentsBag

### pkcs_12PbeIds

    public static final java.lang.String pkcs_12PbeIds

### pbeWithSHAAnd128BitRC4

    public static final DERObjectIdentifier pbeWithSHAAnd128BitRC4

### pbeWithSHAAnd40BitRC4

    public static final DERObjectIdentifier pbeWithSHAAnd40BitRC4

### pbeWithSHAAnd3_KeyTripleDES_CBC

    public static final DERObjectIdentifier pbeWithSHAAnd3_KeyTripleDES_CBC

### pbeWithSHAAnd2_KeyTripleDES_CBC

    public static final DERObjectIdentifier pbeWithSHAAnd2_KeyTripleDES_CBC

### pbeWithSHAAnd128BitRC2_CBC

    public static final DERObjectIdentifier pbeWithSHAAnd128BitRC2_CBC

### pbewithSHAAnd40BitRC2_CBC

    public static final DERObjectIdentifier pbewithSHAAnd40BitRC2_CBC

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD